Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Pluggable_Messaging Class Reference

Generic definitions Messaging class. More...

`#include <Pluggable_Messaging.h>`

Inheritance diagram for TAO_Pluggable_Messaging:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_Pluggable_Messaging (void)
| Dtor. More...
virtual int | generate_request_header (TAO_Operation_Details &op, TAO_Target_Specification &spec, TAO_OutputCDR &cdr)=0
| Write the RequestHeader in to the <cdr> stream. The underlying implementation of the mesaging should do the right thing. More...
virtual int | generate_locate_request_header (TAO_Operation_Details &op, TAO_Target_Specification &spec, TAO_OutputCDR &cdr)=0
| Write the RequestHeader in to the <cdr> stream. More...
virtual int | generate_reply_header (TAO_OutputCDR &cdr, TAO_Pluggable_Reply_Params_Base &params)=0
| Write the reply header The reply header is a part of any messaging protocol. More...
virtual int | generate_locate_reply_header (TAO_OutputCDR &cdr, TAO_Pluggable_Reply_Params_Base &params)=0
| Write the locate reply header The locate reply header is a part of any messaging protocol. More...
virtual int | read_message (TAO_Transport *transport, int block=0, ACE_Time_Value *max_wait_time=0)=0
| This method reads the message on the connection. More...
virtual int | format_message (TAO_OutputCDR &cdr)=0
| Format the message in the <cdr>. May not be needed in general. More...
virtual void | init (CORBA::Octet major, CORBA::Octet minor)=0
| Do any initialisations that may be needed. More...
virtual int | parse_incoming_messages (ACE_Message_Block &message_block)=0
| Parse the incoming messages.. More...
virtual ssize_t | missing_data (ACE_Message_Block &incoming)=0
| Calculate the amount of data that is missing in the <incoming> message block. More...
virtual void | get_message_data (TAO_Queued_Data *qd)=0
| Get the details of the message parsed through the <qd>. More...
virtual int | extract_next_message (ACE_Message_Block &incoming, TAO_Queued_Data *&qd)=0
virtual int | consolidate_node (TAO_Queued_Data *qd, ACE_Message_Block &incoming)=0
| Check whether the node <qd> needs consolidation from <incoming>. More...
virtual int | consolidate_fragments (TAO_Queued_Data *dqd, const TAO_Queued_Data *sqd)=0
| Bala:Docu?? More...
virtual int | process_request_message (TAO_Transport *transport, TAO_Queued_Data *qd)=0
| Parse the request message, make an upcall and send the reply back to the "request initiator". More...
virtual int | process_reply_message (TAO_Pluggable_Reply_Params &reply_info, TAO_Queued_Data *qd)=0
| Parse the reply message that we received and return the reply information though <reply_info>. More...
virtual int | generate_exception_reply (TAO_OutputCDR &cdr, TAO_Pluggable_Reply_Params_Base &params, CORBA::Exception &x)=0
| Generate a reply message with the exception <ex>. More...
virtual int | is_ready_for_bidirectional (TAO_OutputCDR &msg)=0
| Is the messaging object ready for processing BiDirectional request/response? More...
virtual void | reset (void)=0
| Reset the messaging the object. More...
virtual size_t | header_length (void) const=0
| Header length. More...

## Detailed Description

Generic definitions Messaging class.

This interface tries to define generic methods that could be different messaging protocols

## Constructor & Destructor Documentation

TAO_Pluggable_Messaging::~TAO_Pluggable_Messaging | ( | void |  | ) | `[virtual]`

| Dtor.

## Member Function Documentation

virtual int TAO_Pluggable_Messaging::consolidate_fragments | ( | TAO_Queued_Data * | dqd,
|  | const TAO_Queued_Data * | sqd
| ) | `[pure virtual]`

| Bala:Docu?? @ Reimplemented in TAO_GIOP_Message_Base, and TAO_GIOP_Message_Lite.

virtual int TAO_Pluggable_Messaging::consolidate_node | ( | TAO_Queued_Data * | qd,
|  | ACE_Message_Block & | incoming
| ) | `[pure virtual]`

| Check whether the node <qd> needs consolidation from <incoming>. Reimplemented in TAO_GIOP_Message_Base, and TAO_GIOP_Message_Lite.

virtual int TAO_Pluggable_Messaging::extract_next_message | ( | ACE_Message_Block & | incoming,
|  | TAO_Queued_Data *& | qd
| ) | `[pure virtual]`

| Reimplemented in TAO_GIOP_Message_Base, and TAO_GIOP_Message_Lite.

virtual int TAO_Pluggable_Messaging::format_message | ( | TAO_OutputCDR & | stream | ) | `[pure virtual]`

| Format the message in the <cdr>. May not be needed in general. Reimplemented in TAO_GIOP_Message_Base, and TAO_GIOP_Message_Lite.

virtual int TAO_Pluggable_Messaging::generate_exception_reply | ( | TAO_OutputCDR & | cdr,
|  | TAO_Pluggable_Reply_Params_Base & | params,
|  | CORBA::Exception & | x
| ) | `[pure virtual]`

| Generate a reply message with the exception <ex>. Reimplemented in TAO_GIOP_Message_Base, and TAO_GIOP_Message_Lite.

virtual int TAO_Pluggable_Messaging::generate_locate_reply_header | ( | TAO_OutputCDR & | cdr,
|  | TAO_Pluggable_Reply_Params_Base & | params
| ) | `[pure virtual]`

| Write the locate reply header The locate reply header is a part of any messaging protocol. The messaging protocol implementation would implement the way the locate reply header is written. Reimplemented in TAO_GIOP_Message_Base, and TAO_GIOP_Message_Lite.

virtual int TAO_Pluggable_Messaging::generate_locate_request_header | ( | TAO_Operation_Details & | op,
|  | TAO_Target_Specification & | spec,
|  | TAO_OutputCDR & | cdr
| ) | `[pure virtual]`

| Write the RequestHeader in to the <cdr> stream. Reimplemented in TAO_GIOP_Message_Base, and TAO_GIOP_Message_Lite.

virtual int TAO_Pluggable_Messaging::generate_reply_header | ( | TAO_OutputCDR & | cdr,
|  | TAO_Pluggable_Reply_Params_Base & | params
| ) | `[pure virtual]`

| Write the reply header The reply header is a part of any messaging protocol. The messaging protocol implementation would implement the way the reply header is written. Reimplemented in TAO_GIOP_Message_Base, and TAO_GIOP_Message_Lite.

virtual int TAO_Pluggable_Messaging::generate_request_header | ( | TAO_Operation_Details & | op,
|  | TAO_Target_Specification & | spec,
|  | TAO_OutputCDR & | cdr
| ) | `[pure virtual]`

| Write the RequestHeader in to the <cdr> stream. The underlying implementation of the mesaging should do the right thing. Reimplemented in TAO_GIOP_Message_Base, and TAO_GIOP_Message_Lite.

virtual void TAO_Pluggable_Messaging::get_message_data | ( | TAO_Queued_Data * | qd | ) | `[pure virtual]`

| Get the details of the message parsed through the <qd>. Reimplemented in TAO_GIOP_Message_Base, and TAO_GIOP_Message_Lite.

virtual size_t TAO_Pluggable_Messaging::header_length | ( | void |  | ) | const`[pure virtual]`

| Header length. Reimplemented in TAO_GIOP_Message_Base, and TAO_GIOP_Message_Lite.

virtual void TAO_Pluggable_Messaging::init | ( | CORBA::Octet | major,
|  | CORBA::Octet | minor
| ) | `[pure virtual]`

| Do any initialisations that may be needed. Reimplemented in TAO_GIOP_Message_Base, and TAO_GIOP_Message_Lite.

virtual int TAO_Pluggable_Messaging::is_ready_for_bidirectional | ( | TAO_OutputCDR & | msg | ) | `[pure virtual]`

| Is the messaging object ready for processing BiDirectional request/response? Reimplemented in TAO_GIOP_Message_Base, and TAO_GIOP_Message_Lite.

virtual ssize_t TAO_Pluggable_Messaging::missing_data | ( | ACE_Message_Block & | block | ) | `[pure virtual]`

| Calculate the amount of data that is missing in the <incoming> message block. Reimplemented in TAO_GIOP_Message_Base, and TAO_GIOP_Message_Lite.

virtual int TAO_Pluggable_Messaging::parse_incoming_messages | ( | ACE_Message_Block & | block | ) | `[pure virtual]`

| Parse the incoming messages.. Reimplemented in TAO_GIOP_Message_Base, and TAO_GIOP_Message_Lite.

virtual int TAO_Pluggable_Messaging::process_reply_message | ( | TAO_Pluggable_Reply_Params & | params,
|  | TAO_Queued_Data * | qd
| ) | `[pure virtual]`

| Parse the reply message that we received and return the reply information though <reply_info>. Reimplemented in TAO_GIOP_Message_Base, and TAO_GIOP_Message_Lite.

virtual int TAO_Pluggable_Messaging::process_request_message | ( | TAO_Transport * | transport,
|  | TAO_Queued_Data * | qd
| ) | `[pure virtual]`

| Parse the request message, make an upcall and send the reply back to the "request initiator". Reimplemented in TAO_GIOP_Message_Base, and TAO_GIOP_Message_Lite.

virtual int TAO_Pluggable_Messaging::read_message | ( | TAO_Transport * | transport,
|  | int | block = 0,
|  | ACE_Time_Value * | max_wait_time = 0
| ) | `[pure virtual]`

| This method reads the message on the connection. Returns 0 when there is short read on the connection. Returns 1 when the full message is read and handled. Returns -1 on errors. If <block> is 1, then reply is read in a blocking manner. <bytes> indicates the number of bytes that needs to be read from the connection. Reimplemented in TAO_GIOP_Message_Base, and TAO_GIOP_Message_Lite.

virtual void TAO_Pluggable_Messaging::reset | ( | void |  | ) | `[pure virtual]`

| Reset the messaging the object. Reimplemented in TAO_GIOP_Message_Base, and TAO_GIOP_Message_Lite.

The documentation for this class was generated from the following files:

- Pluggable_Messaging.h
- Pluggable_Messaging.cpp